
#include "PrimaryGeneratorActionMessenger.hh"
#include "PrimaryGeneratorAction.hh"

#include "G4UIdirectory.hh"
#include "G4UIcmdWithADoubleAndUnit.hh"
#include "G4UIcmdWithADouble.hh"

PrimaryGeneratorActionMessenger::PrimaryGeneratorActionMessenger(PrimaryGeneratorAction* primaryGenetatorAction)
  : fPrimaryGeneratorAction(primaryGenetatorAction)
{
  fGunDirectory = new G4UIdirectory("/gun/experiment/");
  fGunDirectory->SetGuidance("Special commands for experiment like beam");

  fStandardKineticEnergyCmd = new G4UIcmdWithADoubleAndUnit("/gun/experiment/StandardKineticEnergy",this);
  fStandardKineticEnergyCmd->SetGuidance("Set Standard Kinetic Energy");
  fStandardKineticEnergyCmd->SetParameterName("referenceKineticEnergy",false);
  fStandardKineticEnergyCmd->SetUnitCategory("Energy");
  fStandardKineticEnergyCmd->AvailableForStates(G4State_PreInit,G4State_Idle);
}

PrimaryGeneratorActionMessenger::~PrimaryGeneratorActionMessenger()
{
  delete fStandardKineticEnergyCmd;
  delete fGunDirectory;
}

void PrimaryGeneratorActionMessenger::SetNewValue(G4UIcommand* command, G4String newValue)
{
  if(command == fStandardKineticEnergyCmd){
    fPrimaryGeneratorAction->SetStandardKineticEnergy(fStandardKineticEnergyCmd->GetNewDoubleValue(newValue));
  }
}

