
#include "RunActionMessenger.hh"

#include "RunAction.hh"

#include "G4UIdirectory.hh"
#include "G4UIcmdWithAString.hh"

RunActionMessenger::RunActionMessenger(RunAction* runAction) : fRunAction(runAction)
{
  fRunNameCmd = new G4UIcmdWithAString("/run/RunName",this);
  fRunNameCmd->SetGuidance("Set run name");
  fRunNameCmd->SetParameterName("runName",false);
  fRunNameCmd->AvailableForStates(G4State_PreInit,G4State_Idle);
}

RunActionMessenger::~RunActionMessenger()
{
  delete fRunActionDirectory;
  delete fRunNameCmd;
}

void RunActionMessenger::SetNewValue(G4UIcommand* command, G4String newValue)
{
  if(command == fRunNameCmd){
    fRunAction->SetRunName(newValue);
  }
}

